Skip to content
Start here

Acquire and connect to browser session.

GET/accounts/{account_id}/browser-rendering/devtools/browser

Acquires and establishes a WebSocket connection to a browser session.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Browser Rendering WriteBrowser Rendering Read
Path ParametersExpand Collapse
account_id: string

Account ID.

Query ParametersExpand Collapse
keep_alive: optional number

Keep-alive time in ms (only valid when acquiring new session).

maximum1200000
minimum10000
lab: optional boolean

Use experimental browser.

recording: optional boolean

Acquire and connect to browser session.

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/browser-rendering/devtools/browser \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
Returns Examples